Results 1 to 3 of 3

Thread: KoLmafia and Java 9.0.4 compatability

  1. #1
    Senior Member
    Join Date
    Sep 2006
    Posts
    350

    Default KoLmafia and Java 9.0.4 compatability

    One of my clannies says she can't get mafia to work on her new laptop with Java 9.0.4. Are there any know compatibility problems with that version? What is the recommended version of Java for mafia compatability? I've stuck with java version "1.7.0_55" on Mac OS X 10.9.5, but I fear change and put off upgrades until I'm forced to.

    Thanks for any info regarding this.

  2. #2
    Developer fronobulax's Avatar
    Join Date
    Feb 2009
    Location
    Central Virginia, USA
    Posts
    4,026

    Default

    I'm running 1.8.0_161 on Windows. I don't recall any Java 9 problems but then I have had no reason to upgrade so have not been paying attention.

    "can't get mafia to work" is pretty vague. Is there something specific? For example, sometimes there are issues with http vs. https that make mafia appear to not work. Using a HDPI definitely requires some tweaks before mafia is usable. I don't use Macs but there have been reported "issues" with using the dmg vs the jar file. Do any other Java applications work on her system?
    You just vehemently agreed with me
    Originally Posted by Veracity View Post
    I agree with frono.
    Originally Posted by Veracity View Post

  3. #3
    Senior Member
    Join Date
    Sep 2006
    Posts
    350

    Default

    I'm running 1.8.0_161 on Windows. I don't recall any Java 9 problems but then I have had no reason to upgrade so have not been paying attention.

    "can't get mafia to work" is pretty vague. Is there something specific? For example, sometimes there are issues with http vs. https that make mafia appear to not work. Using a HDPI definitely requires some tweaks before mafia is usable. I don't use Macs but there have been reported "issues" with using the dmg vs the jar file. Do any other Java applications work on her system?
    Originally Posted by fronobulax View Post

    Yeah, I know "can't get mafia to work" is pretty unhelpful, but that was all I had to work with. It was a new computer and her first tries to get mafia running again after the upgrade. I thought I'd just check for an obvous incompatabilty. Anyhow, during the course trying to trouble shoot it, the problem went away. So I suspect PEBKAC. Thanks for the response. And I think that we can close this with KoLmafia and Java 9.0.4 can get along just fine.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •